org.eclipse.jetty.util.component

## Interface LifeCycle.Listener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    AbstractLifeCycle.AbstractLifeCycleListener, FileNoticeLifeCycleListener
  Enclosing interface:
    LifeCycle

      public static interface LifeCycle.Listener
      extends EventListener

  Listener. A listener for Lifecycle events.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `lifeCycleFailure(LifeCycle event, Throwable cause)`
    `void` | `lifeCycleStarted(LifeCycle event)`
    `void` | `lifeCycleStarting(LifeCycle event)`
    `void` | `lifeCycleStopped(LifeCycle event)`
    `void` | `lifeCycleStopping(LifeCycle event)`

- - ### Method Detail

    - #### lifeCycleStarting

          void lifeCycleStarting(LifeCycle event)

    - #### lifeCycleStarted

          void lifeCycleStarted(LifeCycle event)

    - #### lifeCycleFailure

          void lifeCycleFailure(LifeCycle event,
                              Throwable cause)

    - #### lifeCycleStopping

          void lifeCycleStopping(LifeCycle event)

    - #### lifeCycleStopped

          void lifeCycleStopped(LifeCycle event)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.